.inputComposite {
  min-width: 20rem;

  .input-field {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 1.75rem 0.75rem 0.5rem;
    height: 3.5rem;

    &:disabled {
      + .inputComposite-label {
        color: var(--color-disabled-darken);
      }
    }
  }

  &-label {
    position: absolute;
    top: 1rem;
    left: 0;

    display: flex;
    align-items: flex-end;
    padding: 0 0.75rem;
    height: 1.25rem;

    font-size: 0.875rem;
    line-height: 1rem;
    color: var(--form-label-color);
    white-space: nowrap;

    transition-duration: .1s;
    transition-property: top, font-size;
    transition-timing-function: ease-in-out;
    transform: translateZ(0);
    will-change: top, font-size, color;
    pointer-events: none;

    > sup {
      line-height: 1.5rem;
    }
  }

  &.-not-empty .inputComposite-label,
  .input-field:focus + .inputComposite-label {
    top: 0.375rem;
    font-size: 0.75rem;
    color: var(--form-focus-label-color);
  }

  &.-disabled .inputComposite-label,
  &.-disabled .input-field:focus + .inputComposite-label {
    top: 1rem;
    font-size: 0.875rem;
    color: var(--form-label-color);
  }

  @media screen and (max-width: 980px) {
    min-width: auto;
  }
}